Save an API token for a storefront connection
curl --request POST \
--url https://api.semicola.com/api/v2/buyer/storefronts/{id}/connection/bearer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accessToken": "<string>",
"connectionId": "<string>"
}
'import requests
url = "https://api.semicola.com/api/v2/buyer/storefronts/{id}/connection/bearer"
payload = {
"accessToken": "<string>",
"connectionId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({accessToken: '<string>', connectionId: '<string>'})
};
fetch('https://api.semicola.com/api/v2/buyer/storefronts/{id}/connection/bearer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"storefront": {
"id": "<string>",
"platformId": "<string>",
"name": "<string>",
"logoUrl": "<string>",
"logoBackground": "<string>",
"description": "<string>",
"channels": [
"<string>"
],
"regions": [
"<string>"
],
"website": "<string>",
"providerType": "<string>",
"providerDisplayName": "<string>",
"sourceKind": "sales",
"routingMode": "ADAPTER"
},
"status": "not_connected",
"authModes": [
"oauth"
],
"setupRequired": {
"code": "oauth_client_not_configured",
"message": "<string>"
},
"accountCount": 4503599627370495,
"mappedAdvertiserCount": 4503599627370495,
"campaignsTracked": 4503599627370495,
"campaignsActive": 4503599627370495,
"featurePolicy": {
"buyEnabled": true,
"eventsEnabled": true,
"feedsEnabled": true,
"updatedAt": "<string>"
},
"connection": {
"id": "<string>",
"storefrontId": "<string>",
"status": "<string>",
"connectedBy": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"credential": {
"credentialKind": "OAUTH",
"status": "ACTIVE"
}
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Storefronts
Save an API token for a storefront connection
POST
/
api
/
v2
/
buyer
/
storefronts
/
{id}
/
connection
/
bearer
Save an API token for a storefront connection
Authorizations
bearerAuthsessionCookie
API key or OAuth access token.
Path Parameters
Required range:
x <= 9007199254740991